Get Bank Accounts
curl --request GET \
--url https://testapi.kravata.co/api/accounts/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/accounts/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/accounts/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "0601cb0f-7b99-4d04-9b56-d0524a8f281d",
"accountHolderName": "Test Account 2",
"accountNickname": "Test Account 2",
"accountNumber": "234565432345",
"accountType": "ahorros",
"bank": {
"name": "COLTEFINANCIERA"
},
"countryFiat": {
"symbolFiat": "COP",
"countryId": "8"
},
"metadata": [],
"status": "in_review",
"registerDate": "2024-04-25 21:36:29.846812",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4"
},
{
"id": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"accountHolderName": "Test Account",
"accountNickname": "Test Account",
"accountNumber": "12242342",
"accountType": "ahorros",
"bank": {
"name": "Bancolombia"
},
"countryFiat": {
"symbolFiat": "COP",
"countryId": "8"
},
"metadata": [],
"status": "accepted",
"registerDate": "2024-07-16 15:57:39.679660",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4"
}
]Accounts
Get Bank Accounts
By consuming this endpoint you can retrieve the details, status and IDs of your registered accounts. The ID of the chosen account is necessary to place your order. Before doing so, please make sure the account status is “accepted”.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |
| clientID | UUID | Yes | Include your assigned ID in the URL, obtainable through the GET /infoClient endpoint. |
| userId | UUID | No | The unique identifier of one of your users whose accounts you wish to filter. Sent as a query parameter; obtainable through the GET /api/b2b2b/{clientId}/users endpoint. |
Response
The response for this request is a JSON object representing the account details.
| id | This is a unique identifier for each bank account registered. |
| status | This status corresponds to the status determined after the registration and compliance review have been completed. To operate with this account, it must appear as “accepted”. |
| accountHolderName | The name of the bank account holder. |
| accountNickname | This is a personalized name you set when registering your account. It helps to differentiate better between your registered accounts. |
| accountNumber | This is the account number showing in your bank certificate. Some banking entities include more than one number in the document, therefore it is important to confirm which would be the correct number for deposit depending on the conditions. |
| accountType | This is the account type indicated in your bank certificate. It can be either “ahorros” or “corriente”. Please, make sure the type is selected correctly when doing your account registration. |
| bank | This is your account’s banking entity. Please, make sure the bank is selected correctly when doing your account registration. |
| country | This is the country where your bank account was issued. |
| registerDate | This is the date when you registered your bank account with us. |
| userID | If it is your own account, it should be the same as your assigned clientId. Otherwise, it should be the userId of one of your registered users who owns that account. |
GET
/
api
/
accounts
/
{clientId}
Get Bank Accounts
curl --request GET \
--url https://testapi.kravata.co/api/accounts/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/accounts/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/accounts/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "0601cb0f-7b99-4d04-9b56-d0524a8f281d",
"accountHolderName": "Test Account 2",
"accountNickname": "Test Account 2",
"accountNumber": "234565432345",
"accountType": "ahorros",
"bank": {
"name": "COLTEFINANCIERA"
},
"countryFiat": {
"symbolFiat": "COP",
"countryId": "8"
},
"metadata": [],
"status": "in_review",
"registerDate": "2024-04-25 21:36:29.846812",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4"
},
{
"id": "e3569aa4-b0f5-4e24-85df-f7708b855db8",
"accountHolderName": "Test Account",
"accountNickname": "Test Account",
"accountNumber": "12242342",
"accountType": "ahorros",
"bank": {
"name": "Bancolombia"
},
"countryFiat": {
"symbolFiat": "COP",
"countryId": "8"
},
"metadata": [],
"status": "accepted",
"registerDate": "2024-07-16 15:57:39.679660",
"userId": "08597c65-c25b-4a7c-8c68-f1180bce65f4"
}
]Authorizations
Access token from POST /api/token (valid 5 minutes).

